Bug 1099417 - nodeset of numatune is not calculated correctly
Summary: nodeset of numatune is not calculated correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Bruce Shi
QA Contact: Pavel Stehlik
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 09:15 UTC by Bruce Shi
Modified: 2016-02-10 19:42 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:40 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 27829 0 master MERGED core: modify the default value of numa tune mode to interleave. Never
oVirt gerrit 27830 0 master MERGED core: need vds id when build vm numa properties Never
oVirt gerrit 33183 0 ovirt-engine-3.5 MERGED core: need vds id when build vm numa properties Never

Description Bruce Shi 2014-05-20 09:15:01 UTC
Description of problem:
When building libvirt xml, it uses vm.getRunOnVds to get the vds id which the vm will run, actually this field is filled after the vm is running, it's null when building the xml. It will cause the calculation of numa tune node set failed.

Version-Release number of selected component (if applicable):
3.5.0-alpha1

How reproducible:
100%

Steps to Reproduce:
1.try create a VM using the default settings
2.
3.

Actual results:
No numatune configuation in libvirt xml.

Expected results:
Numetune configuration should be append.

Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:41:40 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.